version: '3.7'

services:
  web:
    build: .
    command: python /BookstoreProject/manage.py runserver 0.0.0.0:8000
    environment:
      - SECRET_KEY=l40smo4rcr*l(rae+k@bgiqo6=xh+qbu9k!it74j&v=iuko()9
      - DEBUG=1
    volumes:
      - .:/BookstoreProject
    ports:
      - 8000:8000
    depends_on:
      - db
  db:
    image: postgres:11
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    environment:
      - "POSTGRES_HOST_AUTH_METHOD=trust"

volumes:
  postgres_data: